[HEADS UP] libgit2 and -glib version bump to 0.23.0 in f23 & rawhide

Zbigniew Jędrzejewski-Szmek zbyszek at in.waw.pl
Fri Jul 31 13:31:36 UTC 2015


On Fri, Jul 31, 2015 at 10:46:06AM +0000, Igor Gnatenko wrote:
> I've sent patch to fedora's pygit2. Subsurface in upstream supports 0.23.0,
> I will need some time to check what patches we need. Other packages as you
> said compiles with new libgit2. Only one package dependes on python-pygit2,
> I adressed a bug.
> 
> On Fri, Jul 31, 2015 at 12:46 PM Igor Gnatenko <i.gnatenko.brain at gmail.com>
> wrote:
> 
> > On Fri, Jul 31, 2015 at 8:58 AM, Zbigniew Jędrzejewski-Szmek
> > <zbyszek at in.waw.pl> wrote:
> > > On Thu, Jul 30, 2015 at 03:58:09PM +0000, Igor Gnatenko wrote:
> > >> Hi,
> > >>
> > >> I'm planning today to update libgit2[0] and libgit2-glib[1] in Fedora 23
> > >> and Fedora Rawhide to new version. API has changed, some functions
> > removed,
> > >> some has new/type changed parameters. Read more[2].
> > >>
> > >> Packages which needs rebuild (probably patches or updates needed):
> > > OK, and what happens if the patches turn out to be non-trivial
> > > and slow in being produced? I really think this kind of change should
> > > be done first using scratch builds of all dependent packages
> > > (or using a side tag if there are more than a handful of dependent
> > > packages). This way maintainers have time to respond in case
> > > upstream work is needed, and we don't get uninstallable
> > > packages in rawhide.
> > >
> > > Recent gdal update was similar. Some dependent packages require porting
> > > to the new APIs, nobody knows when that will happen.
> > I have time today, I will take a care to submit upstream bugs about
> > porting and will try to send patches with bugs.
> > >
Hi,

I see that you built python-pygit2 just now.

> > >> * gitg
I forgot gitg. Rebuilding now.

> > >> * gnome-builder
> > >> * kate-plugins
> > >> * kf5-ktexteditor
> > >> * python-pygit2
> > >> * python3-pygit2
> > >> * rubygem-rugged
> > >> * gedit-plugin-git
Those are all done now.

> > >> * subsurface
TBD.

> > > Above was all for rawhide. For F23, if it turns out that it is not
> > > possible to rebuild everything quickly, the change should be reverted
> > > imho.
OK. It seems that fortunately this will not be necessary.
I'll start doing the rebuilds later today.
Can you add the buildroot override for libgit2 and libgit2-glib?

Zbyszek


More information about the devel mailing list